<bugID>1340206<Summary>Compact Themes makes text on location bar to look blurry/bouncy when hovering with RTL builds</Summary><Description>Created attachment 8838116
compact themes - location bar issue.gif

[Affected versions]:
- latest Nightly 54.0a1
- latest Aurora 53.0a2

[Affected platforms]:
- Windows 10, 7, 8.1 x64
- Mac OS X 10.11.6
- Ubuntu 16.04 x64 LTS

[Steps to reproduce]:
1. Download and start Firefox on an RTL build from here: https://archive.mozilla.org/pub/firefox/nightly/2017/02/2017-02-16-03-02-10-mozilla-central-l10n/ 
2. Enable Compact Dark or Compact Light theme from about:addons 
3. Hover with your mouse over the location bar 

[Expected result]:
- Text in the location bar is properly displayed and no blurry/bouncy effect can be seen 

[Actual result]:
- Text in the location bar appears blurry/bouncy when hovering over it

[Regression range]:
- This is not a regression as I can reproduce this on Nightly from 15-01-2017 where this feature first landed.

[Additional notes]:
- I've managed to reproduce this with RTL builds like: ".ar", ".fa" or ".he". With other lightweight themes or Default theme it's not reproducible.
- also you can hit this with Force RTL addon from amo, but it seems that, in this case only latest Aurora 53.0a2 is affected</Description></bugID>